<?

//Server IP & Port, Used if no Server IP and Port is used in the URL
//Default Query Port is 29900 leave as is, if your server does not show up
//you can try increasing the Port by 1 or check the value of sv.gameSpyPort in your
//serversettings.con file.

$server = '70.86.18.178';
$port = '29900';

//URL to Images folder. No trailing slash.

$images = 'http://www.force137.com/bf2live';


//Border Color of the Stats

$bordercolor = '#000000';


//Body Color of inside the stats table

$bodycolor = '#BAB3A1';


//Top and Bottom Cell Colors

$topbottomcell = '#75756B';


//Page Background Color

$backgroundcolor = '#BAB3A1';


//Server Admin Name, will show as red on the playerlist, or Use serveradmintag to highlight
//anyone with that tag, must escape regexp chars ([,.{( and so on)

$serveradmin = '[F137]Lt.Christy';
$serveradmintag = 'MOW';


//Default Sort. Can be 'deaths', 'score', 'kills', or 'ping'

$sort = 'score';


//Page Refresh Rate in Seconds

$refreshrate = '3000';


//Font Color

$fontcolor = '#000000';


//Number of Ping to be know as a Lagger, Anything above this number will be marked

$lagger = '200';


//Your Webpage/Serverpage URL

$weburl = 'http://www.force137.com';


//Insert Image URL if using your own Logo in the stats, or leave blank if not. Do not make your image wider than 800
//pixels or it will make the table look funny :)

$titlepic = 'http://www.force137.com/stats/bf1942live/images/bflivelogo.jpg';


//If Using your own logo, specify alignment (left, center, right)

$align = 'left';


//If Using your own logo, specify color behind your Logo

$titlepicbg = '#BAB3A1';


//Colors for Laggers, Admin, and Teamkiller

$laggercolor = '#ffffff';
$admincolor = '#940312';
$teamkillercolor = '#E4FF4D';


//Colors for Player Count if Server is Full or if Server has an Open Slot

$servernotfullcolor = '#049700';
$serverfullcolor = '#FB0A04';


//Comments that you may want to add on your Live View for people to read. 
//Will show up under the Rules Section
//Set $usecomments to 1 for On and 0 for Off

$usecomments = '1';
$comments = 'Comments that you may want to add on your Live View for people to read';


//Mark 1 to display your Community Logo, and 1 to display your Sponsor Logo

$community_logo = '1';
$sponsor_logo = '1';

//Message to display when server times out or is down

$timeoutmessage = 'Server is currently down or changing maps';



















// DO NOT EDIT BELOW THIS LINE UNLESS YOU KNOW WHAT YOU ARE DOING

if (!$_GET['sort'])
{
	$sort=$sort;
} else {

	$sort=$_GET['sort'];
}


if (!$_GET['ip']) {
	$server=$server;
} else {
	$server=$_GET['ip'];
}

if (!$_GET['port']) {
	$port=$port;
} else {
	$port=$_GET['port'];
}

$sock = @fsockopen("udp://".$server, $port);
@socket_set_timeout($sock, 0, 500000);

$queryString = "\xFE\xFD\x00\x10\x20\x30\x40\xFF\xFF\xFF\x01";
@fwrite($sock, $queryString);


$end=false;
$i=1;
while(!$end) {
	$bytes = @fread($sock, 1);
	$status = @socket_get_status($sock);
	$length = $status['unread_bytes'];
						
	if($length>0) {
		$Info[$i] = $bytes.fread($sock, $length);

		preg_match("/splitnum(...)/is",$Info[$i],$regs);
		$String = $regs[1];

		$num = ord(substr($String,1,1));
		
		if($num == 128 || $num == 0) {
			$Display[1] = $Info[$i];
		}

		if ($num == 129 || $num == 1) {
			$Display[2] = $Info[$i];
		}

		if ($num == 130) {
			$Display[3] = $Info[$i];
		}
	}

	if($length==0) { 
		$end=true;
	}
	$i++;

}

@fclose($sock);


$Info = $Display[1].$Display[2].$Display[3];


if(!$Info) {

?>

<html>
<head>
<meta http-equiv="refresh" content="<?=$refreshrate?>">
<meta http-equiv="pragma" content="no-cache">
<title>Down Live View</title>
</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" bgcolor=<?=$backgroundcolor?> link="<?=$fontcolor?>" vlink="<?=$fontcolor?>" alink="<?=$fontcolor?>">
  <center>
<br>
  <table border="1" cellpadding="1" cellspacing="0" style="border-collapse: collapse" width="400"  bordercolor="<?=$bordercolor?>">
<tr><td bgcolor="<?=$bodycolor?>" height="25" valign="middle" align="center"><font color=<?=$fontcolor?> size=1 face=verdana><b><?=$timeoutmessage?></b></font></td></tr>
</table>
</center>
</body>
</html>

<?
exit;

}

$output = str_replace("\\","",$Info);				
$changeChr = chr(0);
$output = str_replace($changeChr, "\\", $output);
				
$rules = "x".substr($output,0,strpos($output,"\\\\".chr(1)));	
$players = "\\".substr($output,strpos($output,"\\\\".chr(1))+3);
			
$p3 = strpos($players,"\\\\".chr(2));
if(!$p3) {
	$p3 = strpos($players,"\\\\team_t");				
}
$players = substr($players,0,$p3);	
$players = str_replace("\\ 0@splitnum\\","",$players);
$players = str_replace(" 0@splitnum\\","",$players);
$players = str_replace(" 0@splitnum\\","",$players);


//Parse Rules
$rule_temp = substr($rules,1);
$rule_temp = str_replace("","\\",$rule_temp);
$rules_arr = explode("\\",$rule_temp);
$rules_count = count($rules_arr);
		
for($i=0;$i<$rules_count/2;$i++) {
		
	$r1[$i] = $rules_arr[$i*2];
	$r2[$i] = $rules_arr[($i*2)+1];
	$rule[$r1[$i]] = $r2[$i];
			
}


$tags = explode("\\",$players);
		
		
$index = 0;
$currentProp = "";
$newIndexFlag = false;
$propCount = 0;
		
for($i = 0; $i < count($tags); $i++) {

	if($tags[$i] == "" && substr($tags[$i+1],strlen($tags[$i+1])-1,1) == "_" && $tags[$i+1]!=$currentProp && ord($tags[$i+2])==0) {
				
		$currentProp = $tags[$i+1];
		$index = 0;
		$prop[$propCount] = $currentProp;
		$propCount++;
			
	} else {
				
		if($tags[$i] == $currentProp && ord($tags[$i+1]) != 0) {
			$index = ord($tags[$i+1]);
			$newIndexFlag = true;
				
		} else {
					
			if($tags[$i]!="" && $currentProp!="" && $tags[$i]!=$currentProp) {
						
				$player[$currentProp][$index] = $tags[$i];
				if($newIndexFlag) {
					$player[$currentProp][$index] = substr($tags[$i],1);
					$newIndexFlag = false;
				}
					$index++;
			}
		}
	}
}


for ($p = 0; $p < $rule[numplayers]; $p ++) {

		$data[] = array('name' => $player["player_"][$p], 'score' => $player["score_"][$p], 'deaths' => $player["deaths_"][$p], 'ping' => $player["ping_"][$p], 'team' => $player["team_"][$p], 'kills' => $player["skill_"][$p], 'pid' => $player["pid_"][$p]);


}

if($rule[numplayers]) {

	foreach ($data as $key => $row) {

   		$name[$key]  = $row['name'];
 		$score[$key] = $row['score'];
   		$deaths[$key] = $row['deaths'];
   		$ping[$key] = $row['ping'];
   		$team[$key] = $row['team'];
   		$kills[$key] = $row['kills'];
   		$pid[$key] = $row['pid'];
	}

	array_multisort($$sort, SORT_DESC, $data);
}


function armyname($name) {

	switch(strtolower($name)) {
		case "mec":
		return "Middle Eastern Coalition";
      	break;

		case "us":
		return "United States Marine Corps";
      	break;

		case "ch":
		return "People's Liberation Army";
      	break;
	}

}



if($rule[numplayers]==$rule[maxplayers]) {

	$currentplayers = "<font color=".$serverfullcolor." size=1 face=verdana>".$rule[numplayers]."</font>";
	$maxplayers = "<font color=".$serverfullcolor." size=1 face=verdana>".$rule[maxplayers]."</font>";

} elseif ($rule[numplayers] > 0 && $rule[numplayers]!=$rule[maxplayers]) {

	$currentplayers = "<font color=".$servernotfullcolor." size=1 face=verdana>".$rule[numplayers]."</font>";
	$maxplayers = "<font color=".$servernotfullcolor." size=1 face=verdana>".$rule[maxplayers]."</font>";

} else {

	$currentplayers = "<font color=#ABAAAA size=1 face=verdana>".$rule[numplayers]."</font>";
	$maxplayers = "<font color=#ABAAAA size=1 face=verdana>".$rule[maxplayers]."</font>";

}



?>

<html>

<head>
<meta http-equiv="refresh" content="<?=$refreshrate?>">
<meta http-equiv="pragma" content="no-cache">
<title><?=$rule[hostname]?> Live View</title>
<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
function popUp(URL) {
day = new Date();
id = day.getTime();
eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=435,height=435,left = 430,top = 302');");
}
// End -->

<!-- Begin
function popUpLogo(URL) {
day = new Date();
id = day.getTime();
eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=420,height=120,left = 430,top = 302');");
}
// End -->
</script>


</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" bgcolor=<?=$backgroundcolor?> link="<?=$fontcolor?>" vlink="<?=$fontcolor?>" alink="<?=$fontcolor?>">

<div align="center">
  <center>
<br>
  <table border="1" cellpadding="1" cellspacing="0" style="border-collapse: collapse" width="800"  bordercolor="<?=$bordercolor?>">


<?if($titlepic){?>
    <tr><td width="100%" bgcolor="<?=$topbottomcell?>" colspan="3" align="center"><b><font color="<?=$fontcolor?>" size="2" face="verdana"><?if($rule[bf2_sponsortext]) echo $rule[bf2_sponsortext];?>&nbsp;</b></td></tr>
    <tr><td width="100%" bgcolor="<?=$titlepicbg?>" colspan="3" align="<?=$align?>" valign="bottom">
<img src="<?=$titlepic?>">
</td></tr>
<?}?>


    <tr><td width="100%" bgcolor="<?=$topbottomcell?>" colspan="3"><b><font color="<?=$fontcolor?>" size="2" face="verdana">&nbsp;<?=$rule[hostname]?></b></td></tr>
<tr>
      <td width="34%" align="center" valign="top" bgcolor="<?=$bodycolor?>">
<table width="100%"> 

<tr><td valign="top" bgcolor="<?=$bodycolor?>" align="center">
<table height=20 border=1 width=99% cellpadding=0 bordercolor="<?=$bordercolor?>" style="border-collapse: collapse" align=center>
<tr><td bgcolor="#000000" width="100%" valign="middle" style="PADDING-left:4px"><font color="#ABAAAA" face="Verdana,verdana,Helvetica" size="1"><b><?=$currentplayers?></b><font color="#ABAAAA" face="Verdana,Helvetica" size="1"> out of </font><b><?=$maxplayers?></b><font color="#ABAAAA" face="Verdana,Helvetica" size="1"> players currently on Server</font></font></td>
</tr></table>
</td></tr>
<?
	$check_image = @GetImageSize("".$images."/maps/".strtolower(str_replace(" ","%20",$rule[mapname]))."_".$rule[bf2_mapsize].".jpg");
	if ($check_image) {
?>
<tr><td align="center" valign="top" bgcolor="<?=$bodycolor?>">
<a href="javascript:popUp('<?=$images?>/maps/<?=strtolower($rule[mapname])?>_<?=$rule[bf2_mapsize]?>.jpg')"><IMG SRC="<?=$images?>/maps/<?=strtolower($rule[mapname])?>_<?=$rule[bf2_mapsize]?>.jpg" width=260 height=259 border=0></a>
</td></tr>
<?
	} else {
?>

<tr><td align="center" valign="top" bgcolor="<?=$bodycolor?>">
<IMG SRC="<?=$images?>/maps/default.gif" width=260 height=259 border=0>
</td></tr>

<?
	}


?>

<tr><td>
<table border=1 width=99% cellpadding=0 bordercolor="<?=$bordercolor?>" style="border-collapse: collapse" align=center>
<tr><td bgcolor="#000000" width="100%"><font color="#ABAAAA" face="Verdana,verdana,Helvetica" size="1"><b>
&nbsp;&nbsp;<?=$rule[mapname]?></b></font></td><td align=right bgcolor="#000000"><?if($rule[bf2_ranked]) echo "<img src=".$images."/ranked.gif alt=\"This is a Ranked Server\">&nbsp;";?><?if($rule[bf2_anticheat]) echo "<img src=".$images."/pb.gif alt=\"This Server has Anti-Cheat enabled\">&nbsp;";?><?if($rule[bf2_voip]) echo "<img src=".$images."/voip.gif alt=\"This Server has Voice\">&nbsp;";?></td>
</tr></table>
</td></tr>



<?if($rule[bf2_sponsorlogo_url] && $sponsor_logo){?>
<tr><td>
<table border=1 width=99% cellpadding=0 bordercolor="<?=$bordercolor?>" style="border-collapse: collapse" align=center>
<tr><td bgcolor=<?=$topbottomcell?>>
<font color="<?=$fontcolor?>" size=1 face =verdana>
<b>Sponsor Logo</b>
</font>
</td></tr>
<tr><td align="center" valign="middle"><a href="javascript:popUpLogo('<?=$rule[bf2_sponsorlogo_url]?>')"><img src="<?=$rule[bf2_sponsorlogo_url]?>" width="260" height="65" border="0"></a></td></tr>
</table>
<br>
</td></tr>
<?}?>


<?if($rule[bf2_communitylogo_url] && $community_logo){?>
<tr><td valign="bottom">
<table border=1 width=99% cellpadding=0 bordercolor="<?=$bordercolor?>" style="border-collapse: collapse" align=center>
<tr><td bgcolor=<?=$topbottomcell?>>
<font color="<?=$fontcolor?>" size=1 face =verdana>
<b>Community Logo</b>
</font>
</td></tr>
<tr><td align="center" valign="middle"><a href="javascript:popUpLogo('<?=$rule[bf2_communitylogo_url]?>')"><img src="<?=$rule[bf2_communitylogo_url]?>" width="260" height="65" border="0"></a></td></tr>
</table>
</td></tr>
<?}?>


</table>
</td>
      <td width="36%" rowspan="1" align="left" valign="top" bgcolor="<?=$bodycolor?>">

<?
if (!$rule[numplayers])
{

?>


<center><font color="<?=$fontcolor?>"  face=Verdana,Helvetica size=1><b>No Current Players</b></font></center>


<?
 } else { 

	if ($_GET['ip']) {
		$extra= "&ip=".$_GET['ip'];
	}

	if ($_GET['port']) {
		$extra .= "&port=".$_GET['port'];
	}
?>

	<TABLE width=100% border=0 cellspacing=0 cellpadding=1>
<TR><TD width='100%' colspan="6" bgcolor="#000000">&nbsp;<img src=<?=$images?>/<?=strtolower($rule[bf2_team1])?>.jpg width="17" height="10">&nbsp;<font face="verdana" color="#ABAAAA" size="1"><b><?=armyname($rule[bf2_team1])?></b></font></TD></tr>

	<TR><TD width="60%" bgcolor="#847D49" colspan="2"><img src="<?=$images?>/players.gif"></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=score<?=$extra?>"><img src="<?=$images?>/score.jpg" border="0" alt="Sort By Score"></a></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=kills<?=$extra?>"><img src="<?=$images?>/kills.jpg" border="0" alt="Sort By Kills"></a></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=deaths<?=$extra?>"><img src="<?=$images?>/deaths.jpg" border="0" alt="Sort By Deaths"></a></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=ping<?=$extra?>"><img src="<?=$images?>/ping.jpg" border="0" alt="Sort By Ping"></a></TD></TR>




<?
$totalscore_team1=0;
$totaldeaths_team1=0;
$totalping_team1=0;
$totalplayers_team1=0;
$totalkills_team1=0;

foreach ($data as $key => $row) {


	if ($row['team']==1)
	{

		$namecolor = "";
		if($row['ping'] > $lagger) $namecolor=$laggercolor;
		if($row['deaths'] < 0 || $row['score'] < 0) $namecolor=$teamkillercolor;
		if(stristr($row['name'], $serveradmintag)) $namecolor=$admincolor;
		if($row['name'] == $serveradmin) $namecolor=$admincolor;
		if(!$namecolor) $namecolor=$fontcolor;

		echo "<TR><td><a href=\"http://bf2s.com/player/".$row['pid']."/\" target=_new><img src=\"".$images."/stats.jpg\" border=0 alt=\"View BF2S Stats\"></a></td><TD width=70% bgcolor=".$bodycolor."><font face=Verdana,Helvetica size=1 color=".$namecolor.">".htmlentities($row['name'])."</font></TD><TD  width=10% align=center bgcolor=".$bodycolor."><font color=".$fontcolor." face=Verdana,Helvetica size=1>".$row['score']." </font></TD><TD  width=10% align=center bgcolor=".$bodycolor."><font color=".$fontcolor." face=Verdana,Helvetica size=1>".$row['kills']." </font></TD><TD  width=10% align=center bgcolor=".$bodycolor."> <font color=".$fontcolor." face=Verdana,Helvetica size=1>".$row['deaths']." </font></TD><TD  width=10% align=center bgcolor=".$bodycolor."><font color=".$fontcolor."  face=Verdana,Helvetica size=1>".$row['ping']." </font></TD></TR>";

	$totalscore_team1=($totalscore_team1+$row['score']);
	$totaldeaths_team1=($totaldeaths_team1+$row['deaths']);
	$totalping_team1=($totalping_team1+$row['ping']);
	$totalplayers_team1=($totalplayers_team1+1);
	$totalkills_team1=($totalkills_team1+1);

	}
}


?>





<TR><TD width='100%' colspan="6" height="20" bgcolor="<?=$bodycolor?>">&nbsp;</TD></tr>




<TR><TD width='100%' colspan="6" bgcolor="#000000">&nbsp;<img src=<?=$images?>/<?=strtolower($rule[bf2_team2])?>.jpg width="17" height="10">&nbsp;<font face="verdana" color="#ABAAAA" size="1"><b><?=armyname($rule[bf2_team2])?></b></font></TD></tr>


	<TR><TD width="60%" bgcolor="#847D49" colspan="2"><img src="<?=$images?>/players.gif"></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=score<?=$extra?>"><img src="<?=$images?>/score.jpg" border="0" alt="Sort By Score"></a></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=kills<?=$extra?>"><img src="<?=$images?>/kills.jpg" border="0" alt="Sort By Kills"></a></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=deaths<?=$extra?>"><img src="<?=$images?>/deaths.jpg" border="0" alt="Sort By Deaths"></a></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><a href="<?=$_SERVER['PHP_SELF']?>?sort=ping<?=$extra?>"><img src="<?=$images?>/ping.jpg" border="0" alt="Sort By Ping"></a></TD>


<?
$totalscore_team2=0;
$totaldeaths_team2=0;
$totalping_team2=0;
$totalplayers_team2=0;
$totalkills_team2=0;

foreach ($data as $key => $row) {


	if ($row['team']==2)
	{
		$namecolor = "";
		if($row['ping'] > $lagger) $namecolor=$laggercolor;
		if($row['deaths'] < 0 || $row['score'] < 0) $namecolor=$teamkillercolor;
		if(stristr($row['name'], $serveradmintag)) $namecolor=$admincolor;
		if($row['name'] == $serveradmin) $namecolor=$admincolor;
		if(!$namecolor) $namecolor=$fontcolor;


		echo "<TR><td><a href=\"http://bf2s.com/player/".$row['pid']."/\" target=_new><img src=\"".$images."/stats.jpg\" border=0 alt=\"View BF2S Stats\"></a></td><TD width=60% bgcolor=".$bodycolor."><font face=Verdana,Helvetica size=1 color=".$namecolor.">".htmlentities($row['name'])."</font></TD><TD  width=10% align=center bgcolor=".$bodycolor."><font color=".$fontcolor." face=Verdana,Helvetica size=1>".$row['score']." </font></TD><TD  width=10% align=center bgcolor=".$bodycolor."><font color=".$fontcolor." face=Verdana,Helvetica size=1>".$row['kills']." </font></TD><TD  width=10% align=center bgcolor=".$bodycolor."> <font color=".$fontcolor." face=Verdana,Helvetica size=1>".$row['deaths']." </font></TD><TD  width=10% align=center bgcolor=".$bodycolor."><font color=".$fontcolor."  face=Verdana,Helvetica size=1>".$row['ping']." </font></TD></TR>";

	$totalscore_team2=($totalscore_team2+$row['score']);
	$totaldeaths_team2=($totaldeaths_team2+$row['deaths']);
	$totalping_team2=($totalping_team2+$row['ping']);
	$totalplayers_team2=($totalplayers_team2+1);
	$totalkills_team2=($totalkills_team2+1);

	}
}

?>


<TR><TD width='100%' colspan="5" height="20" bgcolor="<?=$bodycolor?>">&nbsp;</TD></tr>
</TD></TR>

</TABLE>


<?
}

//Team 1 Averages
if ($totalscore_team1 && $totalplayers_team1)
{
	$getave= ($totalscore_team1/$totalplayers_team1);
	$team1_score_ave = round($getave);

} else {

	$team1_score_ave = 0;
}

if ($totaldeaths_team1 && $totalplayers_team1)
{
	$getave= ($totaldeaths_team1/$totalplayers_team1);
	$team1_deaths_ave = round($getave);

} else {

	$team1_deaths_ave = 0;
}

if ($totalping_team1 && $totalplayers_team1)
{
	$getave= ($totalping_team1/$totalplayers_team1);
	$team1_ping_ave = round($getave);

} else {

	$team1_ping_ave = 0;
}

if ($totalkills_team1 && $totalplayers_team1)
{
	$getave= ($totalkills_team1/$totalplayers_team1);
	$team1_kills_ave = round($getave);

} else {

	$team1_kills_ave = 0;
}

//Team 2 Averages
if ($totalscore_team2 && $totalplayers_team2)
{
	$getave= ($totalscore_team2/$totalplayers_team2);
	$team2_score_ave = round($getave);

} else {

	$team2_score_ave = 0;
}

if ($totaldeaths_team2 && $totalplayers_team2)
{
	$getave= ($totaldeaths_team2/$totalplayers_team2);
	$team2_deaths_ave = round($getave);

} else {

	$team2_deaths_ave = 0;
}

if ($totalping_team2 && $totalplayers_team2)
{
	$getave= ($totalping_team2/$totalplayers_team2);
	$team2_ping_ave = round($getave);

} else {

	$team2_ping_ave = 0;
}

if ($totalkills_team2 && $totalplayers_team2)
{
	$getave= ($totalkills_team2/$totalplayers_team2);
	$team2_kills_ave = round($getave);

} else {

	$team2_kills_ave = 0;
}
?>

      </td>
      <td width="30%" rowspan="1" align="left" valign="top" bgcolor="<?=$bodycolor?>">
<table border="0" width="100%" cellspacing="0" cellpadding="0">
<tr>
<td bgcolor="<?=$bodycolor?>"><font color="<?=$fontcolor?>" size="1" face="verdana"><b><u>Rules</u></b></font></td>
<td align="right"><font color="<?=$fontcolor?>" size="1" face="verdana"><b><u>Setting</u></b></font></td>
</tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Timelimit
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[timelimit]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Gametype
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[gametype]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Scorelimit
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_scorelimit]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Gamemode
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[gamemode]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Dedicated
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_dedicated]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
OS
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_os]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Ticket Ratio
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_ticketratio]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Team Ratio
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=round($rule[bf2_teamratio])?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Punkbuster
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_anticheat]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Auto Balance Teams
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_autobalanced]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Reserved Slots
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_reservedslots]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Game Start Delay
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_startdelay]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Global Unlocks
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_globalunlocks]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Map Size
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_mapsize]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Friendly Fire
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_friendlyfire]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Start Delay
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_startdelay]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Spawn Time
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=round($rule[bf2_spawntime])?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Ticket Ratio
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_ticketratio]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
TK Mode
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_tkmode]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
FPS
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=round($rule[bf2_fps])?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Ranked
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_ranked]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Pure
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_pure]?>
</td></tr>
<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Voice
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<?=$rule[bf2_voip]?>
</td></tr>



<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
Server Website
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<a href="<?=$weburl?>">Visit Us</a>
</td></tr>

<tr><td><font color="<?=$fontcolor?>" face="verdana" size="1">
BF2Live
</td><td align="right"><font color="<?=$fontcolor?>" face=verdana size=1>
<a href="http://www.force137.com/" target=_new>Version 1.0</a>
</td></tr>
<tr><td colspan=2 height=20>
</td></tr>



<tr><td colspan="2">
<table border=1 width=95% cellpadding=1 bordercolor="<?=$bordercolor?>" style="border-collapse: collapse" align=center>
<tr><td bgcolor=<?=$topbottomcell?>>
<font color="<?=$fontcolor?>" size=1 face =verdana>
<b>Server Score Averages</b>
</font>
</td></tr>
<tr><td>
<table width="100%" cellpadding="0" cellspacing="0">
	<TR><TD width="60%" bgcolor="#847D49" bordercolor="#847D49"><img src="<?=$images?>/teamavg.gif"></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><img src="<?=$images?>/score.jpg"></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><img src="<?=$images?>/kills.jpg"></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><img src="<?=$images?>/deaths.jpg"></TD>
	<TD width="10%" align="center" bgcolor="#847D49"><img src="<?=$images?>/ping.jpg"></TD>
	<TR><TD width="60%"><font color="<?=$fontcolor?>" size=1 face =verdana>&nbsp;<?=$rule[bf2_team1]?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team1_score_ave?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team1_kills_ave?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team1_deaths_ave?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team1_ping_ave?></font></TD></TR>
	<TR><TD width="60%"><font color="<?=$fontcolor?>" size=1 face =verdana>&nbsp;<?=$rule[bf2_team2]?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team2_score_ave?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team2_kills_ave?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team2_deaths_ave?></font></TD>
	<TD width="10%" align="center"><font color="<?=$fontcolor?>" size=1 face =verdana><?=$team2_ping_ave?></font></TD></TR>
</table></td></tr>
</table>
<br>
</td></tr>





<?if($usecomments){?>
<tr><td colspan="2">
<table border=1 width=95% cellpadding=1 bordercolor="<?=$bordercolor?>" style="border-collapse: collapse" align=center>
<tr><td bgcolor=<?=$topbottomcell?>>
<font color="<?=$fontcolor?>" size=1 face =verdana>
<b>Server Admin Comments</b>
</font>
</td></tr>
<tr><td>
<font color="<?=$fontcolor?>" size=1 face =verdana>
<?=$comments?>
</font>
</td></tr>
</table>
<br>
</td></tr>
<?}?>






</table>
</td>
      </td>
    </tr>
    <tr>
      <td align="left" bgcolor="<?=$topbottomcell?>" bordercolor="<?=$topbottomcell?>" valign="middle" colspan="1"><font color="<?=$fontcolor?>" size=1 face =verdana>
      <b> Version: Battlefield 2 <?=$gamever?></b></font>
</td>
      <td align="right" bgcolor="<?=$topbottomcell?>" valign="middle" colspan="2"><font color="<?=$fontcolor?>" size=1 face=verdana>
<b>Player Color Chart:</b>&nbsp;&nbsp;</font><font face="verdana" color="<?=$teamkillercolor?>" size=1>Teamkiller/Selfkiller</font><font color="<?=$fontcolor?>" size=1 face =verdana>&nbsp;-&nbsp;</font><font face="verdana" color="<?=$admincolor?>" size=1>Admin</font><font color="<?=$fontcolor?>" size=1 face =verdana>&nbsp;-&nbsp;</font><font face="verdana" color="<?=$laggercolor?>" size=1>Lagging</font></td>
    </tr>

</table>
<br><br>
  </center>
</div>

</body>


</html>
